<!doctype html>
<html lang="en">
<head>
<title>1-autopkgtest-office-hours</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<ul class="bullet"><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_sfHViMfqYLmyCGv1" title="a_sfHViMfqYLmyCGv1" style="background-color:#f3dad2">https://jitsi.dc21.debconf.org/1-autopkgtest-office-hours-U2JAilzNKwjGtmKY</span></li><li><span class="a_sfHViMfqYLmyCGv1" title="a_sfHViMfqYLmyCGv1" style="background-color:#f3dad2">*</span><span class="a_sfHViMfqYLmyCGv1" title="a_sfHViMfqYLmyCGv1" style="background-color:#f3dad2"></span></li><li><span class="a_sfHViMfqYLmyCGv1" title="a_sfHViMfqYLmyCGv1" style="background-color:#f3dad2">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">quick intro</span></li><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">goals: help people implementing, or improving, autopkgtest support for their package</span></li><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">NEWS since last yeat</span><ul class="bullet"><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">added several new architectures</span><ul class="bullet"><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">almost all release architectures</span><ul class="bullet"><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">amd64, i386, arm64, armhf, ppc64el fully supported</span></li><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">s390x present, but not enough power</span></li><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">missing mips*</span></li><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">armel WIP</span></ul></li></ul><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">Pavit's GSoC internship (mid-2021)</span><ul class="bullet"><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">salsa logins</span></li><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">private jobs</span></li><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">custom APT repositories (needs a bit more work)</span></ul></li></ul><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">repository created for long-term discussion and archiving:</span><ul class="bullet"><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">https://salsa.debian.org/ci-team/autopkgtest-help/</span></ul><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">questions (add yours):</span><ul class="bullet"><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">zigo: Autopkgtest for all packages in the OpenStack team (#1)</span><ul class="bullet"><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">https://salsa.debian.org/ci-team/autopkgtest-help/-/issues/1</span></li><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">python package with existing buid-time tests; usually easy to help</span></li><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">if you want to help, please say so in the issue and get in tough with zigo</span></ul><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">josch: autopkgtest for my package plakativ (#2)</span><ul class="bullet"><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">https://salsa.debian.org/ci-team/autopkgtest-help/-/issues/2</span></ul><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">lindi: autopkgtest for tboot (must run on real hardware) (#3)</span><ul class="bullet"><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">https://salsa.debian.org/ci-team/autopkgtest-help/-/issues/3</span><span class="a_1zLDuANg7SgMgafg" title="a_1zLDuANg7SgMgafg" style="background-color:#7bdb76"></span></li><li><span class="a_1zLDuANg7SgMgafg" title="a_1zLDuANg7SgMgafg" style="background-color:#7bdb76">*</span><span class="a_1zLDuANg7SgMgafg" title="a_1zLDuANg7SgMgafg" style="background-color:#7bdb76">lava: https://validation.linaro.org/</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8"></span></ul><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">guilhem: DEP-8 tests for cryptsetup</span><ul class="bullet"><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">https://salsa.debian.org/ci-team/autopkgtest-help/-/issues/4</span></li><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">maybe we should have some infrastructure to let autopkgtest control a nested VM for early boot tests</span></ul><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_c01kNeyugtUOC3GJ" title="a_c01kNeyugtUOC3GJ" style="background-color:#a6a148">gratuxri: I have mips machine, how we can bring it to autopkgtest?</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8"></span><ul class="bullet"><li><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">*</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8">talk to {terceiro,elbrus}@debian.org or debian-ci@lists.debian.org if you want to talk about it in public</span><span class="a_1zLDuANg7SgMgafg" title="a_1zLDuANg7SgMgafg" style="background-color:#7bdb76"></span></ul><li><span class="a_1zLDuANg7SgMgafg" title="a_1zLDuANg7SgMgafg" style="background-color:#7bdb76">*</span><span class="a_1zLDuANg7SgMgafg" title="a_1zLDuANg7SgMgafg" style="background-color:#7bdb76">henrich</span><span class="a_QLcvn26ED110WNR7" title="a_QLcvn26ED110WNR7" style="background-color:#70bc67"> (+1)</span><span class="a_1zLDuANg7SgMgafg" title="a_1zLDuANg7SgMgafg" style="background-color:#7bdb76">: Is there any tutorial docs for autopkgtest newbies?</span><ul class="bullet"><li><span class="a_1zLDuANg7SgMgafg" title="a_1zLDuANg7SgMgafg" style="background-color:#7bdb76">*</span><span class="a_1zLDuANg7SgMgafg" title="a_1zLDuANg7SgMgafg" style="background-color:#7bdb76">Start with https://ci.debian.net/doc/file.TUTORIAL.html</span><span class="a_KaPZvRNibRFJgHPA" title="a_KaPZvRNibRFJgHPA" style="background-color:#eb003c"></span></ul><li><span class="a_KaPZvRNibRFJgHPA" title="a_KaPZvRNibRFJgHPA" style="background-color:#eb003c">*</span><span class="a_KaPZvRNibRFJgHPA" title="a_KaPZvRNibRFJgHPA" style="background-color:#eb003c">List of good examples to get inspirations from</span><ul class="bullet"><li><span class="a_KaPZvRNibRFJgHPA" title="a_KaPZvRNibRFJgHPA" style="background-color:#eb003c">*</span><span class="a_KaPZvRNibRFJgHPA" title="a_KaPZvRNibRFJgHPA" style="background-color:#eb003c">https://salsa.debian.org/ci-team/autopkgtest-help/-/issues/5</span><span class="a_QLcvn26ED110WNR7" title="a_QLcvn26ED110WNR7" style="background-color:#70bc67"> << link is empty list...</span><span class="a_DixM0wUyeSPdjpgN" title="a_DixM0wUyeSPdjpgN" style="background-color:#ef59fa"></span></ul><li><span class="a_DixM0wUyeSPdjpgN" title="a_DixM0wUyeSPdjpgN" style="background-color:#ef59fa">*</span><span class="a_DixM0wUyeSPdjpgN" title="a_DixM0wUyeSPdjpgN" style="background-color:#ef59fa">autopkgtest for nbd, which needs a client and a server if the root-on-NBD support is going to be tested (could be with a VM) (would be handled with expect script/VM running infra)</span><span class="a_yahHeWXUAaGlUbh0" title="a_yahHeWXUAaGlUbh0" style="background-color:#9c0fb8"></span></ul></li></ul><span class="a_KaPZvRNibRFJgHPA" title="a_KaPZvRNibRFJgHPA" style="background-color:#eb003c"></span><br><span class="a_iW0tdee7Nk2aJ13f" title="a_iW0tdee7Nk2aJ13f" style="background-color:#ccee88">I'm absolutely new to autopkgtest. I maintain irssi and wesnoth. Is there ways to support tools that require network access (a local running IRC server would work), are interactive and/or use graphics?</span><br><span class="a_sfHViMfqYLmyCGv1" title="a_sfHViMfqYLmyCGv1" style="background-color:#f3dad2"></span><br><span class="a_sfHViMfqYLmyCGv1" title="a_sfHViMfqYLmyCGv1" style="background-color:#f3dad2"></span><br><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
